(********************************************************************
 * COPYRIGHT -- Bernecker + Rainer
 ********************************************************************
 * Library: SIKODrvLib
 * File: SIKODrvLib.typ
 * Author: hefnera
 * Created: July 31, 2014
 ********************************************************************
 * Data types of library SIKODrvLib
 ********************************************************************)

TYPE
	PdOutAg2x_type : 	STRUCT 
		ControlWordAg2x : ControlWordAg2x_type;
		DoAg2x : DoAg2x_type;
		targetValue : DINT;
	END_STRUCT;
	PdInAg2x_type : 	STRUCT 
		StatusWordAg2x : StatusWordAg2x_type;
		DiAg2x : DiAg2x_type;
		actualValue : DINT;
	END_STRUCT;
	DiAg2x_type : 	STRUCT 
		di1 : BOOL;
		di2 : BOOL;
		di3 : BOOL;
		di4 : BOOL;
		bit4 : BOOL;
		bit5 : BOOL;
		bit6 : BOOL;
		bit7 : BOOL;
	END_STRUCT;
	StatusWordAg2x_type : 	STRUCT 
		bSupply : BOOL;
		bReadinessToTravel : BOOL;
		bUpperLimit : BOOL;
		bLowerLimit : BOOL;
		bActuatorTravelsStands : BOOL;
		bInPos : BOOL;
		bActiveTravelJob : BOOL;
		bError : BOOL;
		bOperationEnabled : BOOL;
		bSwitchLock : BOOL;
		bTravelJobAcknowledge : BOOL;
		bBatteryWarning : BOOL;
		bCurrentLimiting : BOOL;
		bit13 : BOOL;
		bit14 : BOOL;
		bit15 : BOOL;
	END_STRUCT;
	ControlWordAg2x_type : 	STRUCT 
		bOff1 : BOOL;
		bOff2 : BOOL;
		bOff3 : BOOL;
		bIntermediateStop : BOOL;
		bStartTravelJob : BOOL;
		bAcknowledgeError : BOOL;
		bInchingMode1 : BOOL;
		bInching2Pos : BOOL;
		bInching2Neg : BOOL;
		bit9 : BOOL;
		bMoveRelative : BOOL;
		bit11 : BOOL;
		bit12 : BOOL;
		bit13 : BOOL;
		bit14 : BOOL;
		bit15 : BOOL;
	END_STRUCT;
	ParameterAg2x_type : 	STRUCT 
		n2201_LedFunctionality_r : USINT;
		n2201_LedFunctionality_w : USINT;
		n2221_ServiceInterfaceBaudrate_r : USINT;
		n2221_ServiceInterfaceBaudrate_w : USINT;
		n2301_Do1Functionality_r : USINT;
		n2301_Do1Functionality_w : USINT;
		n2302_DoFunctionalitiesState_r : UDINT;
		n2303_DoPolarity_r : USINT;
		n2303_DoPolarity_w : USINT;
		n2401_Di1Functionality_r : USINT;
		n2401_Di1Functionality_w : USINT;
		n2402_Di2Functionality_r : USINT;
		n2402_Di2Functionality_w : USINT;
		n2403_Di3Functionality_r : USINT;
		n2403_Di3Functionality_w : USINT;
		n2404_Di4Functionality_r : USINT;
		n2404_Di4Functionality_w : USINT;
		n2405_DiFunctionalitiesState_r : UDINT;
		n2406_DiPolarity_r : USINT;
		n2406_DiPolarity_w : USINT;
		n2601_ControllerParameterP_r : INT;
		n2601_ControllerParameterP_w : INT;
		n2602_ControllerParameterI_r : INT;
		n2602_ControllerParameterI_w : INT;
		n2603_ControllerParameterD_r : INT;
		n2603_ControllerParameterD_w : INT;
		n2604_APos_r : INT;
		n2604_APos_w : INT;
		n2605_VPos_r : INT;
		n2605_VPos_w : INT;
		n2606_DPos_r : INT;
		n2606_DPos_w : INT;
		n2607_ARot_r : INT;
		n2607_ARot_w : INT;
		n2608_AInch_r : INT;
		n2608_AInch_w : INT;
		n2609_VInch_r : INT;
		n2609_VInch_w : INT;
		n260A_PosWindow_r : INT;
		n260A_PosWindow_w : INT;
		n260B_GearRatioNumerator_r : INT;
		n260B_GearRatioNumerator_w : INT;
		n260C_GearRatioDenominator_r : INT;
		n260C_GearRatioDenominator_w : INT;
		n260D_SpindlePitch_r : DINT;
		n260D_SpindlePitch_w : DINT;
		n260E_CalibrationValue_r : DINT;
		n260E_CalibrationValue_w : DINT;
		n260F_SoftwareLimit1_r : DINT;
		n260F_SoftwareLimit1_w : DINT;
		n2610_SoftwareLimit2_r : DINT;
		n2610_SoftwareLimit2_w : DINT;
		n2611_DeltaInch_r : DINT;
		n2611_DeltaInch_w : DINT;
		n2612_SenseOfRotation_r : USINT;
		n2612_SenseOfRotation_w : USINT;
		n2613_PosType_r : USINT;
		n2613_PosType_w : USINT;
		n2614_OperatingMode_r : USINT;
		n2614_OperatingMode_w : USINT;
		n2615_Inching2StopMode_r : USINT;
		n2615_Inching2StopMode_w : USINT;
		n2616_InposMode_r : USINT;
		n2616_InposMode_w : USINT;
		n2617_LoopLength_r : INT;
		n2617_LoopLength_w : INT;
		n2618_ContouringErrorLimit_r : INT;
		n2618_ContouringErrorLimit_w : INT;
		n2619_CurrentLimiting_r : USINT;
		n2619_CurrentLimiting_w : USINT;
		n261A_Inching2Offset_r : USINT;
		n261A_Inching2Offset_w : USINT;
		n261B_Inching2AccelerationType_r : USINT;
		n261B_Inching2AccelerationType_w : USINT;
		n261C_OffsetValue_r : DINT;
		n261C_OffsetValue_w : DINT;
		n2922_PcmPosition1_r : DINT;
		n2922_PcmPosition1_w : DINT;
		n2923_PcmPosition2_r : DINT;
		n2923_PcmPosition2_w : DINT;
		n2924_PcmPosition3_r : DINT;
		n2924_PcmPosition3_w : DINT;
		n2925_PcmPosition4_r : DINT;
		n2925_PcmPosition4_w : DINT;
		n2926_PcmPosition5_r : DINT;
		n2926_PcmPosition5_w : DINT;
		n2927_PcmPosition6_r : DINT;
		n2927_PcmPosition6_w : DINT;
		n2928_PcmPosition7_r : DINT;
		n2928_PcmPosition7_w : DINT;
		n2942_PcmAcceleration1_r : INT;
		n2942_PcmAcceleration1_w : INT;
		n2943_PcmAcceleration2_r : INT;
		n2943_PcmAcceleration2_w : INT;
		n2944_PcmAcceleration3_r : INT;
		n2944_PcmAcceleration3_w : INT;
		n2945_PcmAcceleration4_r : INT;
		n2945_PcmAcceleration4_w : INT;
		n2946_PcmAcceleration5_r : INT;
		n2946_PcmAcceleration5_w : INT;
		n2947_PcmAcceleration6_r : INT;
		n2947_PcmAcceleration6_w : INT;
		n2948_PcmAcceleration7_r : INT;
		n2948_PcmAcceleration7_w : INT;
		n2962_PcmVelocity1_r : INT;
		n2962_PcmVelocity1_w : INT;
		n2963_PcmVelocity2_r : INT;
		n2963_PcmVelocity2_w : INT;
		n2964_PcmVelocity3_r : INT;
		n2964_PcmVelocity3_w : INT;
		n2965_PcmVelocity4_r : INT;
		n2965_PcmVelocity4_w : INT;
		n2966_PcmVelocity5_r : INT;
		n2966_PcmVelocity5_w : INT;
		n2967_PcmVelocity6_r : INT;
		n2967_PcmVelocity6_w : INT;
		n2968_PcmVelocity7_r : INT;
		n2968_PcmVelocity7_w : INT;
		n2982_PcmDeceleration1_r : INT;
		n2982_PcmDeceleration1_w : INT;
		n2983_PcmDeceleration2_r : INT;
		n2983_PcmDeceleration2_w : INT;
		n2984_PcmDeceleration3_r : INT;
		n2984_PcmDeceleration3_w : INT;
		n2985_PcmDeceleration4_r : INT;
		n2985_PcmDeceleration4_w : INT;
		n2986_PcmDeceleration5_r : INT;
		n2986_PcmDeceleration5_w : INT;
		n2987_PcmDeceleration6_r : INT;
		n2987_PcmDeceleration6_w : INT;
		n2988_PcmDeceleration7_r : INT;
		n2988_PcmDeceleration7_w : INT;
		n2A01_OutputStageTemperature_r : INT;
		n2A02_VoltageOfControl_r : INT;
		n2A03_VoltageOfOutputStage_r : INT;
		n2A04_VoltageOfBattery_r : INT;
		n2A05_MotorCurrent_r : INT;
		n2A06_ActualPosition_r : DINT;
		n2A07_ActualRotationalSpeed_r : INT;
		n2A08_SerialNumber_r : DINT;
		n2A09_ProductionDate_r : DINT;
		n2A0A_SwMotorController_r : DINT;
		n2A0B_GearReduction_r : INT;
		n2A0C_SystemStatusWord_r : UINT;
		n2A0D_EncoderResolution_r : INT;
		n2A0E_DeviceId_r : USINT;
		n2B01_NumberOfErrors_r : USINT;
		n2B02_ErrorNumber1_r : USINT;
		n2B03_ErrorNumber2_r : USINT;
		n2B04_ErrorNumber3_r : USINT;
		n2B05_ErrorNumber4_r : USINT;
		n2B06_ErrorNumber5_r : USINT;
		n2B07_ErrorNumber6_r : USINT;
		n2B08_ErrorNumber7_r : USINT;
		n2B09_ErrorNumber8_r : USINT;
		n2B0A_ErrorNumber9_r : USINT;
		n2B0B_ErrorNumber10_r : USINT;
		n2C01_Scommand_r : USINT;
		n2C01_Scommand_w : USINT;
	END_STRUCT;
	DoAg2x_type : 	STRUCT 
		do1 : BOOL;
		bit1 : BOOL;
		bit2 : BOOL;
		bit3 : BOOL;
		bit4 : BOOL;
		bit5 : BOOL;
		bit6 : BOOL;
		bit7 : BOOL;
	END_STRUCT;
END_TYPE
